﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Migration201511231705.cs" company="Devbridge Group LLC">
// 
// Copyright (C) 2015,2016 Devbridge Group LLC
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see http://www.gnu.org/licenses/. 
// </copyright>
// 
// <summary>
// Better CMS is a publishing focused and developer friendly .NET open source CMS.
// 
// Website: https://www.bettercms.com 
// GitHub: https://github.com/devbridge/bettercms
// Email: info@bettercms.com
// </summary>
// --------------------------------------------------------------------------------------------------------------------
using BetterModules.Core.DataAccess.DataContext.Migrations;

using FluentMigrator;

namespace BetterCms.Module.MediaManager.Models.Migrations
{
    [Migration(201511231705)]
    public class Migration201511231705 : DefaultMigration
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="201511231705"/> class.
        /// </summary>
        public Migration201511231705()
            : base(MediaManagerModuleDescriptor.ModuleName)
        {
        }

        /// <summary>
        /// Ups this instance.
        /// </summary>
        public override void Up()
        {
            Create.Column("IsMovedToTrash").OnTable("MediaFiles").InSchema(SchemaName).AsBoolean().NotNullable().WithDefaultValue(0);
            Create.Column("NextTryToMoveToTrash").OnTable("MediaFiles").InSchema(SchemaName).AsDateTime().Nullable();
        }        
    }
}